AppendStructuredBuffer<float3> AppendPositionBuffer : BACKBUFFER;
Texture2D tex <string uiname="Texture";>;
StructuredBuffer<float2> uv <string uiname="UV Buffer";>;

SamplerState sPoint : IMMUTABLE
{
    Filter = MIN_MAG_MIP_POINT;
    AddressU = Border;
    AddressV = Border;
};


[numthreads(64, 1, 1)]
void CS( uint3 i : SV_DispatchThreadID)
{ 
	float valueRed = tex.SampleLevel(sPoint,uv[i.x],0).r;
	
	if (valueRed > 0.0f){
		AppendPositionBuffer.Append(float3(uv[i.x].xy, valueRed)); 		
	}

}

technique11 Process
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}